[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# ShowMessage

Show Message

## Declaration

Source position: dialogs.pp line 508

`procedure ShowMessage(`
`const aMsg: String`
`);`

## Arguments

`aMsg` |  | A string constant containing the message to be shown.

## Description

Procedure ShowMessage (const Msg: string);
The simplest message dialog: takes a simple string as argument,
displays it in a stereotyped box,
and waits for a mouse-click or enter-key event
before returning to the calling routine or program.
This is a modal procedure call,
that is the box is displayed, receives focus,
and does not relinquish focus until the OK box is clicked or otherwise selected.

## See also

forms.TApplication.MessageBox |  | Message Box: a useful function to display a message.

## Example

     Program LazMessage;
     Uses Dialogs;
     begin
       ShowMessage ('This is a message from Lazarus')
     end.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.